Bug 619066

Summary: some typos in gedit-gsettings-migration.patch (gsettings-data-convert doesn't like)
Product: [Fedora] Fedora Reporter: Yanko Kaneti <yaneti>
Component: geditAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: rstrode, walters, zkabelac
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619004 Environment:
Last Closed: 2010-10-07 16:54:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Yanko Kaneti 2010-07-28 09:46:09 EDT
+++ This bug was initially created as a clone of Bug #619004 +++

Description of problem:

Whenver my gnome ssesion is started - brightness applet crashes and coredump is generated:
Program terminated with signal 5, Trace/breakpoint trap.
#0  g_logv (log_domain=0x7fe959eee121 "GLib-GIO", log_level=<value optimized out>, format=0x7fe959f01608 "Settings schema '%s' is not installed\n", args1=0x7fff19575ed0)
    at gmessages.c:554
554		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.18-1.fc14.x86_64 dconf-0.4.2-1.x86_64 libselinux-2.0.96-2.fc14.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) bt
#0  g_logv (log_domain=0x7fe959eee121 "GLib-GIO", log_level=<value optimized out>, format=0x7fe959f01608 "Settings schema '%s' is not installed\n", args1=0x7fff19575ed0)
    at gmessages.c:554
#1  0x00007fe959920633 in g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>) at gmessages.c:568
#2  0x00007fe959eaf0e3 in g_settings_schema_new (name=0x1ee2580 "org.gnome.gedit-preferences.ui") at gsettingsschema.c:211
.....



Here are some changes that make gsettings-data-convert happier.

diff -u -r1.2 gedit-gsettings-migration.patch
--- gedit-gsettings-migration.patch	14 Jul 2010 17:05:38 -0000	1.2
+++ gedit-gsettings-migration.patch	28 Jul 2010 13:45:42 -0000
@@ -26,12 +26,12 @@
 +syntax-highlighting = /apps/gedit-2/preferences/syntax_highlighting/enable
 +search-highlighting = /apps/gedit-2/preferences/search_highlighting/enable
 +
-+[org.gnome.gedit-preferences.ui]
++[org.gnome.gedit.preferences.ui]
 +toolbar-visible = /apps/gedit-2/preferences/ui/toolbar/toolbar_visible
 +toolbar-buttons-style = /apps/gedit-2/preferences/ui/toolbar/toolbar_buttons_style
 +statusbar-visible = /apps/gedit-2/preferences/ui/statusbar/statusbar_visible
-+side-pane-visible = /apps/gedit-2/preferences/ui/side_pane/side_pane_visible
-+bottom-pane-visible = /apps/gedit-2/preferences/ui/bottom_panel/bottom_panel_visible
++side-panel-visible = /apps/gedit-2/preferences/ui/side_pane/side_pane_visible
++bottom-panel-visible = /apps/gedit-2/preferences/ui/bottom_panel/bottom_panel_visible
 +max-recents = /apps/gedit-2/preferences/ui/recents/max_recents
 +
 +[org.gnome.gedit.preferences.print]